%global scl_name_prefix ghiapet-
%global scl_name_base vlc
%global scl_name_version 2
%global scl %{scl_name_prefix}%{scl_name_base}%{scl_name_version}
%global scl_vendor GhiaPet
%scl_package %scl
%global _scl_prefix /opt/GhiaPet

Name:			%scl_name
Version:		2.2.4
Release:		0.1%{?dist}
Summary:		Package that installs %scl

Group:			System Environment/Base
License:		GPLv2+

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		scl-utils-build
BuildRequires:		environment-modules

%description
This is the main package for %scl Software Collection.


%package runtime
Summary:		Package that handles %scl Software Collection.
Group:			System Environment/Base
Requires:		scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary:		Package shipping basic build configuration
Group:			Development/System
Requires:		scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.


%prep
%setup -c -T


%install
rm -rf $RPM_BUILD_ROOT
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\$MANPATH
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF

${MODULESHOME}/bin/createmodule.sh  %{buildroot}%{_scl_scripts}/enable > %{buildroot}%{_scl_scripts}/%{scl}

# cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel << EOF
# %%scl_%{scl_name_base} %{scl}
# %%scl_prefix_%{scl_name_base} %{scl_prefix}
# EOF

# Install the generated man page
# mkdir -p %{buildroot}%{_mandir}/man7/
# install -p -m 644 %{scl_name}.7 %{buildroot}%{_mandir}/man7/


%clean
rm -rf $RPM_BUILD_ROOT


%files

%files runtime -f filesystem
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config


%changelog
* Sun Dec  4 2016 J. Randall Owens <jrowens@ghiapet.net> - 2.2.4-0.1
- Initial package

